# SourcePath: rpm/20151228dev
Summary		: The RPM package management system. popt is a C library for parsing command line parameters.
Name		: sony-target-dev-rpm
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-rpm
Version		: 4.4.2.3
Release: 08020601
License		: GPL2 / LGPL2 / Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL		: http://www.rpm.org
Source0		: rpm-%{version}.tar.gz
# LOT scripts
Source10: sony-rpm-libopt-build-rpm
Patch0: rpm-4.4.2.1-configure-beecrypt.patch
Patch1: rpm-4.4.2.1-fpic.patch
Patch2: CVE-2012-0060-1.patch
Patch3: CVE-2012-0060-2.patch
Patch4: CVE-2012-0061.patch
Patch5: CVE-2012-0815.patch
Patch6: rpm-4.4.2.3-CVE-2013-6435.patch
Patch7: rpm-4.4.2.3-CVE-2014-8118.patch

Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

This package include only popt package.

Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.


%package -n %{pkgname}
Summary:The RPM package management system. popt is a C library for parsing command line parameters.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

This package include only popt package.

Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%prep
%setup -q -n rpm-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%sony_target_dev_setup

export ac_cv_func_setreuid=yes
export ac_cv_func_rand=yes
export ac_cv_func_getdomainname=yes
export ac_cv_func_socket=yes
export ac_cv_func_mmap_fixed_mapped=yes

export ac_cv_header_thread_h=no
export ac_cv_header_synch_h=no

export ac_cv_func_malloc_works=yes
export ac_cv_func_memcmp_works=yes
export ac_cv_func_lstat_dereferences_slashed_symlink=yes
export ac_cv_func_stat_empty_string_bug=no

export ac_cv_have_working_aio=yes
export db_cv_alignp_t="unsigned long"
export db_cv_fcntl_f_setfd=yes
export db_cv_sprintf_count=yes

export libelf_cv_working_memmove=yes

%ifarch ppc
export db_cv_mutex="PPC/gcc-assembly"
%endif

%ifarch arm
export db_cv_mutex="POSIX/pthreads/gcc-assembly"
%endif

%sony_target_dev_configure --without-python --without-apidocs  | tee build.log
cd popt
make CFLAGS="$CFLAGS -ffunction-sections"
cd ..

%install
%sony_target_dev_setup
rm -rf %{buildroot}
cd %{sony_objdir}/popt && make prefix=%{buildroot}%{sony_target_dir}%{sony_target_dev_prefix} includedir=%{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir} install

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}

# Begin for LOT

mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/rpm

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
%define _libdir %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}

# Install Library Optimizer information (rpm)
install -m 755 %{SOURCE10} %{_optdir}/rpm/build
install -m 644 .libs/*.o %{_optdir}/rpm/
(cd %{_optdir}/rpm; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libpopt.so -o *.o > index)
(umask 022; echo "/usr/lib/libpopt.so.0" > %{_optdir}/rpm/path)

# Delete *.a library
#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.a


%demangle_libtool

# 6.x

%clean
rm -rf %{buildroot}

%define	rpmattr		%attr(0755, root, root)

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_include_dir}/popt.h
#%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt
#%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.0
#%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.0.0.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.so.0.0.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.la


# for LOT
%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/*

#%{sony_target_dir}%{sony_target_devtool_lib_dir}/libpopt.a

%changelog
* Wed Nov 21 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Mon Dec 28 2015 Sony Corporation
- Added CVE-2013-6435, CVE-2014-8118 security patch

* Tue Feb 03 2015 Sony Corporation
- Merging changes from CE Linux 8.2.1.X.

* Mon Jun 06 2008 Sony Corporation
- add %demangle_libtool

* Wed May 07 2008 Sony Corporation
- version-up 4.4.2.1 -> 4.4.2.3

* Thu Oct 04 2007 Sony Corporation
- version-up 4.1 -> 4.4.2.1

* Fri Jun 16 2006 Sony Corporation
- Add -fpic option patch
- Release No 1up (020001->020101)

* Tue Jul 12 2005 Sony Corporation
- remove sslibc patch
- Add libpopt.so, libpopt.so.0 to %files

* Wed May 18 2005 Sony Corporation
- Initial build.
